#!/bin/bash
#
# SCRIPT  for transform the FUSS-12 desktop  in a FUSS-12-SchoolSwap  
#
# AT FIRST START fuss12: 
#
#apt update
#apt full-upgrade
#apt autoremove
#apt clean
#
## Firefox configuration
#  Plugin: 
#  - uBlok Origin 
#  - videodownloadHelper
##  Bookmark bar (visibile):
# - https://fuss.bz.it
# - https://www.lugbz.org/
# - https://webcammictest.com/  
#
# sed -i 's/XKBMODEL=""/XKBMODEL="pc105"/g'  /etc/default/keyboard
#Better do here a REBOOT ...
#reboot
#---------------------------------------
#---------------------------------------
#1) SCRIPT 
# POST-INSTALLATION FUSS12  - EXECUTE IT IN A ROOT-BASH !
#
# ALL THE COMMANDS WILL RUN IN   /etc/apt/sources.list.d/
#
cd /etc/apt/sources.list.d/
---------------------------------
#
# INSTALL SOME SERVICE TOOL
# add some small utilities
apt update
# add a nice editor
apt install -y geany 
# add tools
apt install -y smartmontools 
# add driver wifi broadcom
apt install  broadcom-sta-dkms -y
# add driver bluetooth
apt install blueman -y
#
--------------------
#
# ANYDESK 
#
wget -qO - https://keys.anydesk.com/repos/DEB-GPG-KEY | apt-key add -
echo "deb http://deb.anydesk.com/ all main" > /etc/apt/sources.list.d/anydesk-stable.list
apt update
apt install -y anydesk

#-----------------------------
#
#  DISABLE  USER GUEST
#
sed -i 's/allow-guest=true/allow-guest=false/g' /etc/lightdm/lightdm.conf.d/fuss.conf

# ----------------------------
#
# PACKAGES CLEANING
#
cd /etc/apt/sources.list.d/
apt autoremove -y
apt clean -y
history -c


